Get paginated subscription details with filters
curl --request GET \
--url https://api.raul.ugps.io/api/v1/subscription_details/all/paginated \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/subscription_details/all/paginated"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/subscription_details/all/paginated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"subscription_detail_id": "<string>",
"subscription_plan_id": {},
"gps_detail_id": {},
"client_id": {},
"vehicle_id": {},
"fecha_inicio": {},
"fecha_termino": {},
"subscription_status_id": {},
"subscription_frequency_id": {},
"creation_date": {},
"update_date": {},
"subscriptionPlan": {
"id": 123,
"subscription_currency_id": 123,
"name": {},
"currency_name": {},
"currency_value": {},
"description": {}
},
"subscriptionStatus": {
"subscription_status_id": 123,
"name": "<string>"
},
"subscriptionFrequency": {
"id": 123,
"name": "<string>"
},
"vehicle": {
"id": "<string>",
"license_plate": {},
"name": {},
"model": {},
"brand": {}
},
"child_client_id": {},
"childClient": {
"client_id": "<string>",
"client_name": "<string>"
}
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}Subscription Details
Get paginated subscription details with filters
Operacion: Get paginated subscription details with filters.
GET
/
api
/
v1
/
subscription_details
/
all
/
paginated
Get paginated subscription details with filters
Authorizations
Bearer token authentication
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
asc, desc Filter by client ID
Filter by subscription status ID
Filter by subscription plan ID
Filter from date (ISO 8601)
Filter to date (ISO 8601)
Filter by expiration status
Search in client name, GPS details
Filter by child client ID (multi-tenant)